com.hazelcast.config

## Enum EvictionConfig.MaxSizePolicy

- java.lang.Object
- - java.lang.Enum<EvictionConfig.MaxSizePolicy>
  - - com.hazelcast.config.EvictionConfig.MaxSizePolicy

- All Implemented Interfaces:
    Serializable, Comparable<EvictionConfig.MaxSizePolicy>
  Enclosing class:
    EvictionConfig

      public static enum EvictionConfig.MaxSizePolicy
      extends Enum<EvictionConfig.MaxSizePolicy>

  Maximum Size Policy

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ENTRY_COUNT` Policy based on maximum number of entries stored per data structure (map, cache etc)
    `FREE_NATIVE_MEMORY_PERCENTAGE` Policy based on minimum free native memory percentage per Hazelcast instance
    `FREE_NATIVE_MEMORY_SIZE` Policy based on minimum free native memory in megabytes per Hazelcast instance
    `USED_NATIVE_MEMORY_PERCENTAGE` Policy based on maximum used native memory percentage per data structure (map, cache etc) on each Hazelcast instance
    `USED_NATIVE_MEMORY_SIZE` Policy based on maximum used native memory in megabytes per data structure (map, cache etc) on each Hazelcast instance

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EvictionConfig.MaxSizePolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EvictionConfig.MaxSizePolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ENTRY_COUNT

          public static final EvictionConfig.MaxSizePolicy ENTRY_COUNT

      Policy based on maximum number of entries stored per data structure (map, cache etc)

    - #### USED_NATIVE_MEMORY_SIZE

          public static final EvictionConfig.MaxSizePolicy USED_NATIVE_MEMORY_SIZE

      Policy based on maximum used native memory in megabytes per data structure (map, cache etc) on each Hazelcast instance

    - #### USED_NATIVE_MEMORY_PERCENTAGE

          public static final EvictionConfig.MaxSizePolicy USED_NATIVE_MEMORY_PERCENTAGE

      Policy based on maximum used native memory percentage per data structure (map, cache etc) on each Hazelcast instance

    - #### FREE_NATIVE_MEMORY_SIZE

          public static final EvictionConfig.MaxSizePolicy FREE_NATIVE_MEMORY_SIZE

      Policy based on minimum free native memory in megabytes per Hazelcast instance

    - #### FREE_NATIVE_MEMORY_PERCENTAGE

          public static final EvictionConfig.MaxSizePolicy FREE_NATIVE_MEMORY_PERCENTAGE

      Policy based on minimum free native memory percentage per Hazelcast instance

  - ### Method Detail

    - #### values

          public static EvictionConfig.MaxSizePolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EvictionConfig.MaxSizePolicy c : EvictionConfig.MaxSizePolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EvictionConfig.MaxSizePolicy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2018. All rights reserved.